fv::DeTupVector< N, ArgTypes > Class Template Reference

Creates a vector of extracting the Nth value from each entry in a vector of tuples. More...

`#include <value.hpp>`

Inheritance diagram for fv::DeTupVector< N, ArgTypes >:
[legend]
Collaboration diagram for fv::DeTupVector< N, ArgTypes >:
[legend]

## Public Member Functions

| DeTupVector (Value< std::vector< std::tuple< ArgTypes... >>> *tup, const std::string &alias)
Public Member Functions inherited from fv::DerivedValue< std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type > >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type > & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type > >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type >)> &value_to_string=[](std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type >){return "";})
void | disable_logging ()

## Static Public Member Functions

static std::string | fmt_name (Value< std::vector< std::tuple< ArgTypes... >>> *tup)

## Protected Member Functions

void | update_value ()
| Updates the internal value. More...

## Private Attributes

Value< std::vector< std::tuple< ArgTypes... > > > * | tup

## Additional Inherited Members

Protected Attributes inherited from fv::DerivedValue< std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type > >
std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type > | value
Protected Attributes inherited from fv::Value< std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type > >
std::function< std::string(std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type >)> | value_to_string

## Detailed Description

### template<size_t N, typename... ArgTypes>
class fv::DeTupVector< N, ArgTypes >

Creates a vector of extracting the Nth value from each entry in a vector of tuples.

Definition at line 813 of file value.hpp.

## Member Function Documentation

## update_value()

template<size_t N, typename... ArgTypes>

void fv::DeTupVector< N, ArgTypes >::update_value | ( |  | ) |

inlineprotectedvirtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< std::vector< std::tuple_element< N, std::tuple< ArgTypes... > >::type > >.

Definition at line 816 of file value.hpp.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp